Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 3.0
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003396Doomseeker[All Projects] Bugpublic2018-03-03 20:102018-08-20 22:30
ReporterWubTheCaptain 
Assigned ToZalewa 
PrioritylowSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Platformx86_64OSDebian GNU/LinuxOS Versionbuster/sid
Product Version1.1 
Target Version1.2Fixed in Version1.2 
Summary0003396: Doomseeker startup error may display an empty list of directories which couldn't be created (chmod 0000 with empty directory)
Description
Quote
Doomseeker will not run because following directories cannot be created:



This error message is void of directories and unhelpful.
Steps To ReproduceIn Doomseeker 1.1:

  1. Remove the default config directory, e.g. $HOME/.doomseeker (rm -rf $HOME/.doomseeker). Do not start Doomseeker yet.
  2. Create a new default config directory with no read/write/execute permissions: mkdir $HOME/.doomseeker && chmod 0000 $HOME/.doomseeker
  3. Attempt launching Doomseeker.


In Doomseeker 1.2~beta-1: Ditto, but repeat the instructions for $HOME/.config/doomseeker directory path too before launching Doomseeker.
Additional Information
  • ext4 file system
  • Qt 5.9.2
Attached Filespng file icon 2018-03-03-200348_500x103_scrot.png [^] (7,392 bytes) 2018-03-03 20:10

- Relationships
related to 0003453resolvedPol M When Doomseeker fails to startup due to file system errors, return errno/message from the filesystem 

-  Notes
User avatar (0019114)
WubTheCaptain (developer)
2018-03-03 20:24

In Doomseeker 1.1, if $HOME permissions are set to 0000, then this works as intended.

In Doomseeker 1.2~beta-1, if $HOME/.config (not $HOME/.config/doomseeker) permissions are set to 0000, then this also works as intended.

It does not seem to matter in this "working as intended" scenario (parent directory is not writeable and/or executable) whether the Doomseeker directory doesn't exist, is empty or post-first start. The problem described here is when the Doomseeker directory itself not writable/executable.
User avatar (0019115)
WubTheCaptain (developer)
2018-03-03 20:30

I thought of bumping the severity to "major" given how much of a griefance this could potentially be to a new user with no apparent solution, but the problem itself is with the text and thus possibly "text" severity.

We can change the text or additional information to the dialog for a resolution, and we could add a reason from the filesystem why they couldn't be created (e.g. permission error, no disk space) after the directory.
User avatar (0019117)
WubTheCaptain (developer)
2018-03-03 20:45
edited on: 2018-03-03 20:46

I mean, the bug here is that dialog is shown even though the directory technically exists but has no permissions. What Doomseeker should really show is that the config directory cannot be written to, or is not readable due to lack of +r or +x permissions (I didn't test which). This is a seperate dialog.

User avatar (0019337)
Zalewa (developer)
2018-08-16 15:56

Fixed through a selection of commits, from which the important ones are:
1.https://bitbucket.org/Doomseeker/doomseeker/commits/8cad0d3e7c208ed3c1ee26a0edf4d067162803ea [^]
2.https://bitbucket.org/Doomseeker/doomseeker/commits/97eaa955b5386733cc8be0b578522eb3e7af662e [^]

Thanks go to Pol M for useful contributions.
User avatar (0019347)
WubTheCaptain (developer)
2018-08-20 19:31

Does macOS behave with these patches (or without) similar to GNU/Linux?
User avatar (0019357)
WubTheCaptain (developer)
2018-08-20 21:50

In case of "[o]ther unexpected cases", the error message will be still hopelessly useless because it makes no attempt to return the error from the file system. I'm suggesting to use errno.h from a POSIX libc.

Works fine otherwise, but I don't like the proposed approach/solution to the issue.
User avatar (0019359)
Pol M (developer)
2018-08-20 22:01

(first message)
since MacOS is also UNIX, i don't quite see why should it fail, but unfortunately I don't have a mac to test this right now. I'll try to test it as soon as possible, since I have a friend that has one.
User avatar (0019361)
Pol M (developer)
2018-08-20 22:05

(second message)
You're right. I left that as in case there was an unexpected behaviour with the new error handling. I'll look into errno.h and see how it fits.
User avatar (0019363)
Pol M (developer)
2018-08-20 22:10

(continuing last message)
Tested. with the wrong permissions (tested 000) it does prompt an error message: https://imgur.com/llm2U5k [^]
User avatar (0019364)
WubTheCaptain (developer)
2018-08-20 22:13

@Pol M: Ignore me, apologies. My error and hasty reply to notes.
User avatar (0019365)
Pol M (developer)
2018-08-20 22:16

OK ^_^

I'll still look at errno.h later.
User avatar (0019366)
WubTheCaptain (developer)
2018-08-20 22:20

Actually this issue is technically fixed, any remaining issues are enhancements (such as the typo "could not be created" when home directory is not readable, or lack of errno and transliteral message from the file system).
User avatar (0019367)
WubTheCaptain (developer)
2018-08-20 22:30

See 0003453.

I also redacted some messages I started, which caused unrelated confusion in this ticket.

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: No one explicitly supports this issue yet.
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2018-03-03 20:10 WubTheCaptain New Issue
2018-03-03 20:10 WubTheCaptain File Added: 2018-03-03-200348_500x103_scrot.png
2018-03-03 20:11 WubTheCaptain Additional Information Updated View Revisions
2018-03-03 20:12 WubTheCaptain Steps to Reproduce Updated View Revisions
2018-03-03 20:13 WubTheCaptain Description Updated View Revisions
2018-03-03 20:24 WubTheCaptain Note Added: 0019114
2018-03-03 20:30 WubTheCaptain Note Added: 0019115
2018-03-03 20:31 WubTheCaptain Priority low => high
2018-03-03 20:31 WubTheCaptain Severity minor => text
2018-03-03 20:33 WubTheCaptain Priority high => low
2018-03-03 20:33 WubTheCaptain Severity text => major
2018-03-03 20:38 WubTheCaptain Additional Information Updated View Revisions
2018-03-03 20:45 WubTheCaptain Note Added: 0019117
2018-03-03 20:45 WubTheCaptain Note Edited: 0019117 View Revisions
2018-03-03 20:46 WubTheCaptain Note Edited: 0019117 View Revisions
2018-03-03 20:46 WubTheCaptain Note Edited: 0019117 View Revisions
2018-08-16 15:56 Zalewa Note Added: 0019337
2018-08-16 15:56 Zalewa Assigned To => Zalewa
2018-08-16 15:56 Zalewa Status new => needs testing
2018-08-20 19:14 WubTheCaptain Target Version => 1.2
2018-08-20 19:31 WubTheCaptain Note Added: 0019347
2018-08-20 21:50 WubTheCaptain Note Added: 0019357
2018-08-20 21:50 WubTheCaptain Status needs testing => needs review
2018-08-20 21:56 WubTheCaptain Note Added: 0019358
2018-08-20 21:57 WubTheCaptain Note Edited: 0019358 View Revisions
2018-08-20 21:57 WubTheCaptain Note Edited: 0019358 View Revisions
2018-08-20 22:01 Pol M Note Added: 0019359
2018-08-20 22:01 WubTheCaptain Note Added: 0019360
2018-08-20 22:05 Pol M Note Added: 0019361
2018-08-20 22:07 Pol M Note Added: 0019362
2018-08-20 22:10 Pol M Note Added: 0019363
2018-08-20 22:13 WubTheCaptain Note Added: 0019364
2018-08-20 22:16 Pol M Note Added: 0019365
2018-08-20 22:20 WubTheCaptain Note Added: 0019366
2018-08-20 22:20 WubTheCaptain Status needs review => resolved
2018-08-20 22:20 WubTheCaptain Fixed in Version => 1.2
2018-08-20 22:20 WubTheCaptain Resolution open => fixed
2018-08-20 22:24 WubTheCaptain Relationship added related to 0003453
2018-08-20 22:28 WubTheCaptain Note Deleted: 0019358
2018-08-20 22:29 WubTheCaptain Note Deleted: 0019360
2018-08-20 22:29 WubTheCaptain Note Deleted: 0019362
2018-08-20 22:30 WubTheCaptain Note Added: 0019367






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker